## remmina 1.1.1

=== CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


cmake_minimum_required(VERSION 2.8)

set(CMAKE_COLOR_MAKEFILE ON)

project(Remmina C)

include(CheckIncludeFiles)
include(CheckLibraryExists)
include(FindPkgConfig)
include(CheckCCompilerFlag)
include(GNUInstallDirs)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/)

include(FindOptionalPackage)
include(ConfigOptions)

if(NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE "Release")
endif()

if(NOT BUILD_SHARED_LIBS)
    set(BUILD_SHARED_LIBS ON)
endif()

if(CMAKE_COMPILER_IS_GNUCC)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
	if(WITH_SSE2)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2")
	endif()
	CHECK_C_COMPILER_FLAG(-Wno-unused-result Wno-unused-result)
	if(Wno-unused-result)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-result")
	endif()
	CHECK_C_COMPILER_FLAG(-Wno-unused-but-set-variable Wno-unused-but-set-variable)
	if(Wno-unused-but-set-variable)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-but-set-variable")
	endif()
	CHECK_C_COMPILER_FLAG(-Wno-unused-function Wno-unused-function)
	if(Wno-unused-function)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-function")
	endif()
endif()

check_include_files(sys/param.h HAVE_SYS_PARAM_H)
check_include_files(sys/socket.h HAVE_SYS_SOCKET_H)
check_include_files(arpa/inet.h HAVE_ARPA_INET_H)
check_include_files(netinet/in.h HAVE_NETINET_IN_H)
check_include_files(termios.h HAVE_TERMIOS_H)
check_include_files(netdb.h HAVE_NETDB_H)
check_include_files(fcntl.h HAVE_FCNTL_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(sys/un.h HAVE_SYS_UN_H)
check_include_files(errno.h HAVE_ERRNO_H)

include_directories(.)
include_directories(remmina/include)

# Versioning
set(WITH_LIBRARY_VERSIONING "ON")
set(REMMINA_VERSION_MAJOR "1")
set(REMMINA_VERSION_MINOR "1")
set(REMMINA_VERSION_REVISION "0")
#^set(REMMINA_VERSION_SUFFIX "")
set(REMMINA_VERSION "${REMMINA_VERSION_MAJOR}.${REMMINA_VERSION_MINOR}.${REMMINA_VERSION_REVISION}")

set(REMMINA_DATADIR "${CMAKE_INSTALL_FULL_DATADIR}")
set(REMMINA_LOCALEDIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
set(REMMINA_PLUGINDIR "${CMAKE_INSTALL_FULL_LIBDIR}/remmina/plugins")

find_required_package(GTK)
find_suggested_package(PTHREAD)
find_suggested_package(GCRYPT)
find_suggested_package(AVAHI)

if(PTHREAD_FOUND)
	add_definitions(-DHAVE_PTHREAD)
endif()

if(GCRYPT_FOUND)
	add_definitions(-DHAVE_LIBGCRYPT)
endif()

if(AVAHI_FOUND)
	add_definitions(-DHAVE_LIBAVAHI_UI)
	add_definitions(-DHAVE_LIBAVAHI_CLIENT)
endif()

if(GTK_FOUND)
	add_subdirectory(remmina)
	add_subdirectory(remmina-plugins)
	add_subdirectory(remmina-plugins-gnome)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/config.h)

install(DIRECTORY include/remmina DESTINATION include/remmina FILES_MATCHING PATTERN "*.h")

=== remmina/CMakeLists.txt ===
# src/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


cmake_minimum_required(VERSION 2.8)

set(REMMINA_SRCS
	src/remmina_about.c
	src/remmina_about.h
	src/remmina_applet_menu.c
	src/remmina_applet_menu.h
	src/remmina_applet_menu_item.c
	src/remmina_applet_menu_item.h
	src/remmina_avahi.c
	src/remmina_avahi.h
	src/remmina.c
	src/remmina_chain_button.c
	src/remmina_chain_button.h
	src/remmina_chat_window.c
	src/remmina_chat_window.h
	src/remmina_connection_window.c
	src/remmina_connection_window.h
	src/remmina_crypt.c
	src/remmina_crypt.h
	src/remmina_exec.c
	src/remmina_exec.h
	src/remmina_file.c
	src/remmina_file_editor.c
	src/remmina_file_editor.h
	src/remmina_file.h
	src/remmina_file_manager.c
	src/remmina_file_manager.h
	src/remmina_ftp_client.c
	src/remmina_ftp_client.h
	src/remmina_icon.c
	src/remmina_icon.h
	src/remmina_init_dialog.c
	src/remmina_init_dialog.h
	src/remmina_key_chooser.c
	src/remmina_key_chooser.h
	src/remmina_log.c
	src/remmina_log.h
	src/remmina_main.c
	src/remmina_main.h
	src/remmina_marshals.c
	src/remmina_marshals.h
	src/remmina_marshals.list
	src/remmina_plugin_manager.c
	src/remmina_plugin_manager.h
	src/remmina_pref.c
	src/remmina_pref_dialog.c
	src/remmina_pref_dialog.h
	src/remmina_pref.h
	src/remmina_protocol_widget.c
	src/remmina_protocol_widget.h
	src/remmina_public.c
	src/remmina_public.h
	src/remmina_scaler.c
	src/remmina_scaler.h
	src/remmina_scrolled_viewport.c
	src/remmina_scrolled_viewport.h
	src/remmina_sftp_client.c
	src/remmina_sftp_client.h
	src/remmina_sftp_plugin.c
	src/remmina_sftp_plugin.h
	src/remmina_ssh.c
	src/remmina_ssh.h
	src/remmina_ssh_plugin.c
	src/remmina_ssh_plugin.h
	src/remmina_string_array.c
	src/remmina_string_array.h
	src/remmina_string_list.c
	src/remmina_string_list.h
	src/remmina_widget_pool.c
	src/remmina_widget_pool.h
	src/remmina_external_tools.c
	src/remmina_external_tools.h
	)

add_executable(remmina ${REMMINA_SRCS})

include_directories(${GTK_INCLUDE_DIRS})
target_link_libraries(remmina ${GTK_LIBRARIES})

find_package(X11)
include_directories(${X11_INCLUDE_DIR})
target_link_libraries(remmina ${X11_LIBRARIES})

find_suggested_package(LIBSSH)
if(LIBSSH_FOUND)
	add_definitions(-DHAVE_LIBSSH)
	include_directories(${LIBSSH_INCLUDE_DIRS})
	target_link_libraries(remmina ${LIBSSH_LIBRARIES})
endif()

if(PTHREAD_FOUND)
	include_directories(${PTHREAD_INCLUDE_DIRS})
	target_link_libraries(remmina ${PTHREAD_LIBRARIES})
endif()

if(GCRYPT_FOUND)
	include_directories(${GCRYPT_INCLUDE_DIRS})
	target_link_libraries(remmina ${GCRYPT_LIBRARIES})
endif()

if(AVAHI_FOUND)
	include_directories(${AVAHI_INCLUDE_DIRS})
	target_link_libraries(remmina ${AVAHI_LIBRARIES})
endif()

if(GTK3_FOUND)
	set(_VTE_VERSION_NUM 2.90)
else()
	set(_VTE_VERSION_NUM)
endif()

find_suggested_package(VTE _VTE_VERSION_NUM)
if(VTE_FOUND)
	add_definitions(-DHAVE_LIBVTE)
	include_directories(${VTE_INCLUDE_DIRS})
	target_link_libraries(remmina ${VTE_LIBRARIES})
endif()

if(GTK3_FOUND)
	find_suggested_package(APPINDICATOR)
	if(APPINDICATOR_FOUND)
		add_definitions(-DHAVE_LIBAPPINDICATOR)
		include_directories(${APPINDICATOR_INCLUDE_DIRS})
		target_link_libraries(remmina ${APPINDICATOR_LIBRARIES})
	endif()
endif()

if(WITH_TRANSLATIONS)
	add_subdirectory(po)
endif()
add_subdirectory(icons)
add_subdirectory(desktop)
add_subdirectory(external_tools)

install(TARGETS remmina DESTINATION ${CMAKE_INSTALL_BINDIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/remmina.pc.in ${CMAKE_CURRENT_BINARY_DIR}/remmina.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/remmina.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== remmina/external_tools/CMakeLists.txt ===
# desktop/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330,
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(EXTERNAL_TOOLS_DIR "$ENV{HOME}/.remmina/external_tools")

file(MAKE_DIRECTORY ${EXTERNAL_TOOLS_DIR})

INSTALL(PROGRAMS launcher.sh pause.sh remmina_filezilla_sftp.sh remmina_filezilla_sftp_pki.sh remmina_nslookup.sh remmina_ping.sh remmina_traceroute.sh DESTINATION ${EXTERNAL_TOOLS_DIR})

=== debian/changelog ===
remmina (1.1.1-2) unstable; urgency=medium

  * debian/patches/RDP_certificate_crash.patch:
    - Cherry-pick patches from upstream to fix a crash when not
      accepting certificate for RDP server (Closes: #766671).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 20 Nov 2014 21:08:11 +0100

remmina (1.1.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix load of RDP plugin when FreeRDP is compiled with
      -DSTATIC_CHANNELS=off (Closes: #764142).
  * debian/patches/freerdp_get_last_error.patch:
    - Removed, applied upstream.
  * debian/README.NX, debian/remmina-plugin-nx.docs:
    - Add a short notice about NX security implications (Closes: #714778).
  * debian/watch:
    - Adjust GitHub link to look for all releases.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 13 Oct 2014 16:57:50 +0200

remmina (1.0.0+git20141003-1) unstable; urgency=medium

  * New upstream snapshot.
  * Provide a debug package (Closes: #763533).
  * debian/patches/freerdp_get_last_error.patch:                                                              
    - Remove call to freerdp_get_last_error, available on FreeRDP trunk
      only, FreeRDP Debian package does not ship it yet.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 Oct 2014 14:18:20 +0200

remmina (1.0.0+git20140930-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fix segfault with RDP plugin (Closes: #763529).
  * debian/patches/CLIENT_TLS.patch:
    - Removed, applied upstream.
  * debian/patches/rfx_context_new.patch.
    - Removed, applied upstream.
  * debian/patches/shebang.patch.
    - Removed, applied upstream.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 01 Oct 2014 08:02:35 +0200

remmina (1.0.0+git20140913-2) unstable; urgency=medium

  * debian/patches/external_tools.patch:
    - Look for external tools into a system directory, instead of user's
      home. Current default makes Debian buildds to fail (Closes: #763280).
  * debian/patches/shebang.patch:
    - Add shebangs to external tool scripts.
  * debian/patches/CLIENT_TLS.patch:
    - Drop LIBVNCSERVER_WITH_CLIENT_TLS ifdef's to enable GNUTLS support,
      which got disabled after using system libvncserver (Closes: #741524).
  * debian/remmina-common.install:
    - Install external tools under /usr/share.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 29 Sep 2014 08:11:58 +0200

remmina (1.0.0+git20140913-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fixed numlock on RDP connections (Closes: #663714).
    - Colours are no longer swapped on Sun Ray terminal (Closes: #673416).
    - Notify user when host key changed (Closes: #674407).
    - Windows no longer disappears when minimized (Closes: #674535).
    - Add cursor support (Closes: #676654).
    - OpenSSL license exception granted (Closes: #750870).
  * debian/patches/*.patch:
    - All patches integrated upstream.
  * debian/patches/rfx_context_new.patch:
    . rfx_context_new does not take any parameter, fix FTBFS.
  * debian/control:
    - Bump libfreerdp-dev dependency to 1.1.0 (Closes: #757605, 757821).
    - Build-depends on libgcrypt20-dev and libgnutls28-dev (Closes: #759000).
    - Downgrade libfreerdp-plugins-standard to Recommends for the RDP
      plugin, as the provided features are optional.
    - Bump Standards-Version to 3.9.6.
  * debian/copyright:
    - Update copyright information, drop removed licenses.
  * debian/remmina-plugin-*.install:
    - Install plugins in multiarch library directories.
  * debian/rules:
    - remmina/ChangeLog moved to ChangeLog.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 28 Sep 2014 10:10:16 +0200

=== debian/control ===
Source: remmina
Section: gnome
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Jean-Louis Dupond <jean-louis@dupond.be>
Build-Depends: debhelper (>= 9~),
 cmake (>= 2.6),
 libgtk-3-dev,
 libgcrypt20-dev,
 libssh-dev (>= 0.4),
 libvte-2.90-dev,
 libxkbfile-dev,
 libfreerdp-dev (>= 1.1.0~),
 libtelepathy-glib-dev,
 libjpeg-dev,
 libgnutls28-dev,
 libgnome-keyring-dev,
 libavahi-ui-gtk3-dev (>= 0.6.0),
 libvncserver-dev
Standards-Version: 3.9.6
Homepage: http://remmina.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/remmina.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/remmina.git

Package: remmina
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina-common (= ${source:Version}),
 dbus-x11
Recommends: remmina-plugin-rdp,
 remmina-plugin-vnc
Breaks: remmina-plugin-data (<= 0.9)
Replaces: remmina-gnome, remmina-xfce
Description: remote desktop client for GNOME desktop environment
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 It supports multiple network protocols in an integrated and consistent user
 interface. Currently RDP, VNC, NX, XDMCP and SSH protocols are supported.

Package: remmina-common
Architecture: all
Depends: ${misc:Depends}
Recommends: remmina
Breaks: remmina (<< 1.0.0),
 remmina-plugin-data
Replaces: remmina (<< 1.0.0),
 remmina-plugin-data
Description: common files for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the common files.

Package: remmina-plugin-rdp
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Recommends: libfreerdp-plugins-standard
Description: RDP plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the RDP plugin for Remmina.

Package: remmina-plugin-vnc
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: VNC plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the VNC plugin for Remmina.

Package: remmina-plugin-xdmcp
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 xserver-xephyr
Description: XDMCP plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the XDMCP plugin for Remmina.

Package: remmina-plugin-nx
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 nxproxy
Description: NX plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the NX plugin for Remmina.

Package: remmina-plugin-telepathy
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: Telepathy plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the Telepathy plugin for Remmina.

Package: remmina-plugin-gnome
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: GNOME plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the GNOME Keyring plugin for Remmina, which allows one
 to store and retrieve passwords from GNOME Keyring.

Package: remmina-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 remmina-plugin-rdp (= ${binary:Version}),
 remmina-plugin-vnc (= ${binary:Version}),
 remmina-plugin-xdmcp (= ${binary:Version}),
 remmina-plugin-nx (= ${binary:Version}),
 remmina-plugin-telepathy (= ${binary:Version}),
 remmina-plugin-gnome (= ${binary:Version})
Description: remote desktop client - debug pakcage
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package provides debugging symbols for remmina and its plugins.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --dbg-package=remmina-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_APPINDICATOR=OFF

override_dh_install:
	dh_install
	[ -d debian/remmina-common ] && \
		find $(CURDIR)/debian/remmina-common -name "*remmina.desktop" -delete && \
		find $(CURDIR)/debian/remmina-common -type d -empty -delete || true

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
https://github.com/FreeRDP/Remmina/tags .*/v?(\d\S*)\.tar\.gz
